Download it now!
Bug 131466 - Maybe some document settings aren't saved?
Summary: Maybe some document settings aren't saved?
Status: RESOLVED DUPLICATE of bug 131511
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.5.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Highlight-Color
  Show dependency treegraph
 
Reported: 2020-03-21 15:36 UTC by Bart
Modified: 2020-03-24 15:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Text in left column only and highlight in "Light Yellow 3" (181.99 KB, image/png)
2020-03-21 15:38 UTC, Bart
Details
After closing and reopening the document. (172.41 KB, image/png)
2020-03-21 15:39 UTC, Bart
Details
The effect of OpenGL (15.19 KB, image/png)
2020-03-21 15:40 UTC, Bart
Details
The version in the Software Catalog (218.92 KB, image/png)
2020-03-21 18:42 UTC, Bart
Details
Double-click and execute file "install" (61.41 KB, image/png)
2020-03-21 18:43 UTC, Bart
Details
Open file "install" (129.66 KB, image/png)
2020-03-21 18:45 UTC, Bart
Details
Colors for highlited text that Word gives me (103.66 KB, image/png)
2020-03-21 20:12 UTC, Bart
Details
Software Catalog in the menu in the LXDE interface (147.95 KB, image/png)
2020-03-22 14:46 UTC, Bart
Details
Software Catalog in the menu in the GNOME interface (280.50 KB, image/png)
2020-03-22 14:46 UTC, Bart
Details
Software Catalog itself, in the LXDE interface (222.95 KB, image/png)
2020-03-22 14:47 UTC, Bart
Details
Document last saved by Libre Office (45.00 KB, application/msword)
2020-03-22 14:49 UTC, Bart
Details
Document last saved by Microsoft Word (44.50 KB, application/msword)
2020-03-22 14:50 UTC, Bart
Details
Document last saved by Libre Office (45.00 KB, application/msword)
2020-03-22 14:53 UTC, Bart
Details
Suggestion: show highligt colors and shading colors at the same time. (184.28 KB, image/png)
2020-03-23 17:03 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart 2020-03-21 15:36:05 UTC
Description:
First of all, my compliments to all the people who make and maintain LibreOffice. I'm using Linux and without LibreOffice I couldn't make documents, spreadsheets etc.

As for my report, I think that for a developer this is not a big bug. It's more a buggy. :) :) For users however, it's really nice if this can be corrected.

I have a document with two columns. On the last page I want the text in the left column only. To do this I had unchecked the box "Evenly distribute contents to all columns" and I get what I want. I had highlighted part of the text with color "Light Yellow 3". (Not using "Yellow" also saves a lot of precious ink. ;) ) 

(This is image "ColumnsAndHighlight1.png") 

When I save, close and reopen the document, the text is evenly distributed again and the highlighted text is now "Yellow".

(This is image "ColumnsAndHighlight2.png") 


Steps to Reproduce:
1. I open a document, and I create text in two columns. 
2. In one of the columns choose Format -> Columns
3. I uncheck "Evenly distribute contents to all columns"
4. Part of the text has been highlighted with color "Light Yellow 3"
5. I save the document and close it.
6. I reopen the document
7. On the last page the text is evenly distributed again.
8. The highlighted text is now "Yellow"


Actual Results:
The changes that I had made were not saved. 

Expected Results:
After closing and reopening the document, I had expected the text to be in the left column only and the highlighted text to be "Light Yellow 3".


Reproducible: Always


User Profile Reset: Yes



Additional Info:
I made a few screen copies. I will upload them when I can.

I tried to enable OpenGL, but then I get a screen that's almost entirely gray. (Please check image "OpenGL.png".) I solved this by closing LibreOffice and resetting the user profile.

Version: 6.1.5.2
Build ID: 1:6.1.5-3+deb10u5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

I'm having a 64bit Intel processor. I didn't know which one to select from the list.
Comment 1 Bart 2020-03-21 15:38:09 UTC
Created attachment 158850 [details]
Text in left column only and highlight in "Light Yellow 3"

This is what I want the last page to be
Comment 2 Bart 2020-03-21 15:39:42 UTC
Created attachment 158851 [details]
After closing and reopening the document.

This is what the last page looks like after closing and reopening the document. Columns are again evenly distributed and the highlight color was changed to "Yellow".
Comment 3 Bart 2020-03-21 15:40:35 UTC
Created attachment 158852 [details]
The effect of OpenGL

This is what I get after checking box "OpenGL"
Comment 4 Julien Nabet 2020-03-21 17:58:59 UTC
6.1 branch, as 6.2 one is EOL.
Could you give a try at last stable LO version 6.3.5 (or brand new 6.4.2)

If you still reproduce this, could you attach the example file so we can more quickly try to reproduce this?
Comment 5 Bart 2020-03-21 18:41:49 UTC
I tried to install the latest version, but I may need a hint.

The easiest way is via the Software Catalog, but then I will get version 6.1.5.3 . I assume that's not the version you want me to try, so I didn't do that. (Please check SoftwareCatalog.png)

Then I went to https://www.libreoffice.org/download/download/ . I downloaded LibreOffice 6.4.2 and I had "LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz" . After extracting it I had folder "LibreOffice_6.4.2.2_Linux_x86-64_rpm" . In that folder I found file "install" and I ran it. (That's InstallExecute.png) But nothing seemed to happen.

Hoping to get some extra information I tried to open the file with an editor. (Please refer to "InstallOpen.png".)

I also tried to right-click "LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz" with "Software & Updates", but that didn't work. 

Then I tried to right-click "LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz" and open with "Software". That didn't work either.

Is there someone who could give me a hint?
Comment 6 Bart 2020-03-21 18:42:37 UTC
Created attachment 158855 [details]
The version in the Software Catalog
Comment 7 Bart 2020-03-21 18:43:57 UTC
Created attachment 158856 [details]
Double-click and execute file "install"
Comment 8 Bart 2020-03-21 18:45:14 UTC
Created attachment 158857 [details]
Open file "install"
Comment 9 Julien Nabet 2020-03-21 19:39:02 UTC
On which Linux distrib are you?

Indeed, you should stick to repository of your distrib.
For ubuntu there's also ppa (LO ppa here).

Linux packages from official LO website are more for maintainers since they manage the dependencies issues.
Comment 10 Bart 2020-03-21 20:11:48 UTC
I am using Debian 10/Stretch, 64 bit. I reinstalled it maybe a week ago.

Regarding the software catalog, it was updated on 03/21/2020, which is today, but not with the latest version of Open Office? The screen copy that I had uploaded shows the date at the bottom. (That's image: "The version in the Software Catalog".)

If you want me to try the latest version of Open Office, then can we call someone to put the latest version on the Software Catalog? (joking)

Call me stubborn ;) but I also checked what Microsoft Word does. I rebooted with Windows 10 and I have two updates:

- In Word I choose to evenly distribute the text over both columns and I saved the document. Then I rebooted with Linux/Debian and opened the document with Open Office Writer. Then I get the text in the left column only. Nice! (But I still would like to do this in Open Office Writer too. ;) )

- In Word I can only choose a limited number of colors for the highlighted text. Maybe the Word format doesn't allow us to choose more colors for highlighted text?

In that case my compliments to the Open Office developers, because they allow me to choose from more colors for highlighted text than Word does. ;) 

To be complete I added screen copy "MSWordHighlightColors.png".
Comment 11 Bart 2020-03-21 20:12:47 UTC
Created attachment 158858 [details]
Colors for highlited text that Word gives me
Comment 12 Bart 2020-03-21 20:33:17 UTC
Update:

If I choose "Light Yellow 3" for the highlight of some text, save the document as .odt and open it again, then the highlight is still "Light Yellow 3".

If I save the document as a .doc , close it, and open it again, then the highlight will be "Yellow" after reopening.

I apologize.
Comment 13 QA Administrators 2020-03-22 02:40:37 UTC Comment hidden (obsolete)
Comment 14 Julien Nabet 2020-03-22 07:57:23 UTC
Please don't tell "OpenOffice" if you use LibreOffice. LO forked OpenOffice several years ago.
I still don't know what's "Software Catalog" however you indicated you were on Debian 9.
Debian stable is more for servers. Either you should use Debian testing (the version I use, LO version is 6.4.1, not the last one but quite recent) or install LO and its dependencies from testing and keep stable for the rest (there are some docs on Internet about how to do this kind of action).

Finally, could you attach a doc so we can try to reproduce this more quickly?
Comment 15 Bart 2020-03-22 14:45:17 UTC
I'm sorry, I'm on Debian 10. 

(I was wrong. Debian 10 is "Buster", not "Stretch". The names that they add to the versions often confuse me.)

Regarding the Software Catalog, I added a few screen copies.

The first image shows where the Software Catalog is found in the LXDE interface. The second shows it in the GNOME interface. The third shows the Software Catalog itself in the LXDE interface. I'd compare it to the App Store on an iPhone. 

I also added two documents for testing.

Document "The Actor At Work - Lesson Twenty LO.doc" was last saved by LibreOffice. Document "The Actor At Work - Lesson Twenty MW.doc" was last saved by Microsoft Word. (MW = Microsoft Word)

I'll be happy to install a more recent version of Libre Office. I installed many programs not via the Software Catalog, and usually I get them to work, but with Libre Office I wasn't successful. I'll try again.

Thank you for all the time you're putting into this.
Comment 16 Bart 2020-03-22 14:46:05 UTC
Created attachment 158873 [details]
Software Catalog in the menu in the LXDE interface
Comment 17 Bart 2020-03-22 14:46:48 UTC
Created attachment 158874 [details]
Software Catalog in the menu in the GNOME interface
Comment 18 Bart 2020-03-22 14:47:46 UTC
Created attachment 158875 [details]
Software Catalog itself, in the LXDE interface
Comment 19 Bart 2020-03-22 14:49:32 UTC
Created attachment 158876 [details]
Document last saved by Libre Office
Comment 20 Bart 2020-03-22 14:50:17 UTC
Created attachment 158877 [details]
Document last saved by Microsoft Word
Comment 21 Bart 2020-03-22 14:53:03 UTC
Created attachment 158878 [details]
Document last saved by Libre Office
Comment 22 Dieter 2020-03-23 08:47:23 UTC
AFAIK, MS Word has a very small colour palette and therefor it replaces "Yellow light 3" with "Yellow".

=> REOLVED DUPLICATE Of bug 113872

There are a lot of other bug reports aroung that topic.

*** This bug has been marked as a duplicate of bug 113872 ***
Comment 23 Bart 2020-03-23 17:02:17 UTC
Thanks for the explanation about highlighting and shading. That was very helpful. I changed the setting in LibreOffice and I love it that I can pick the color that I like best for shading. (It saves expensive ink as well. :) )

Regarding "text in the left column only", is that topic still left over?

Regarding "highlighting and shading", I hope that I have a useful suggestion. For me as a user it's less confusing if things are visible.

So I made image "HighlightAndShading.png". It's photoshopped and it shows Highlighting and Shading at the same time. 

Would it be worth a thought to remove:
   "Character Highlighting, Export As Highlighting / Shading" 
from "Tools -> Options -> Load/Save -> Microsoft Office" and do something like the image instead?

If the developers don't like this idea, that's fine with me, but if it can be given a thought, that would be nice.

It's up to the developers if a user can select "shading and highlighting" at the same time, OR only one of the two.

Most of all I hope that I made a user-friendly suggestion. :)

Thanks again to the developers for all the time and effort that you put into this.
Comment 24 Bart 2020-03-23 17:03:12 UTC
Created attachment 158894 [details]
Suggestion: show highligt colors and shading colors at the same time.
Comment 25 Dieter 2020-03-23 17:17:35 UTC
(In reply to Bart from comment #23)
> Regarding "text in the left column only", is that topic still left over?

I can't reproduce this with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 5dcbd1bb557450a2d658a710c163b310c0cee157
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: CL

So please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'.

If the bug is still present in the latest version, please open a new bug report. As you can see, it's always problematic to mix two different topics in one bug report. We should avoid this.


> Regarding "highlighting and shading", I hope that I have a useful
> suggestion.

Please add your comment to bug 125268, where the difference between highlighting and shading is discussed.
Comment 26 Bart 2020-03-23 20:15:47 UTC
Dieter, thank you for chiming in. 

I already added my suggestion to topic 125268. I will start a new bug report as soon as I successfully installed LibreOffice 6.4.2 . That however, is where I find a speed-bump. 

I'm running Debian 10 and here's what I tried:

I first tried to install the latest version from the Debian Software Catalog. (If you're not familiar with Debian, that compares to the App Sore on an iPhone.) Then I get version 6.1.5-3 and that's not what you asked for.

Then I went to "www.libreoffice.org/download/download" and I downloaded "LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz".

First I choose to right-click and I selected:
   "Open With -> Preferences -> Software"
The Software Catalog opens and it shows a message on top of the window:
   "Failed to install: not supported"

Next I right-clicked and choose:
   "Open With -> Preferences -> Software & Updates"
Then I get the message:
   "There are no sources to install from.
    The file 'LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz' 
    does not contain any valid software sources"

No problem, I right-clicked and this time I selected
   "Open With -> System Tools -> GDebi Package Installer"
The Package Installer starts and gives me message 
   "'LibreOffice_6.4.2_Linux_x86-64_rpm.tar.gz' is not a Debian package. 
    The MIME type of this file is 'application/x-tar' 
    and can not be installed on this system"

I'm not giving up. Now I choose to right-click and select
   "Open With -> Preferences -> Apper". 
Mmmm ... that does nothing at all.

Okay, time to unpack myself and see if that goes better. 

After unpacking I had folder "LibreOffice_6.4.2.2._Linux_x86-64_rpm". In there I found file "install". I double-clicked it, but nothing seemed to happen.

Then I right-clicked and selected:
   "Open With -> System Tools -> GDebi Package Installer"
No luck.

Now I open a terminal box and I give the command:
   $ ./install . libreoffice64
That's not the solution either.

I went back to "www.libreoffice.org/download/download" and I also found "LibreOffice_6.4.2_Linux_x86-64_deb.tar.gz", which I downloaded. I repeated most of the steps that I took before, with similar results.


Resuming, is there someone who can give me a hint? :)

I think I'll start a separate topic. Please consider this post a FYI.

I have set the bug's status to 'RESOLVED/MOVED'.
Comment 27 Julien Nabet 2020-03-23 22:09:14 UTC
Native packages on Debian are .deb, why to use .rpm?

Debian 10 Buster is the last stable Debian (https://en.wikipedia.org/wiki/Debian_version_history) but as I indicated in a previous comment, stable is more for servers not for desktop.
That's why I'd recommend you to install Debian testing.

Finally here's an url about how to install packages from testing on a stable if you want absolutely to stick on stable:
https://we.riseup.net/debian/installing-testing-packages-on-stable

I think you should read a bit about Debian concerning packages (including packages format), repositories and apt.
Comment 28 Bart 2020-03-23 22:17:16 UTC
Because that's what I get when I go to 
   https://www.libreoffice.org/download/download/ 
and click "Download".
Comment 29 Julien Nabet 2020-03-23 22:25:01 UTC
You answered only 5% about what i asked, i give up.
Comment 30 Bart 2020-03-23 22:51:59 UTC
Your question was:
   "Native packages on Debian are .deb, why to use .rpm?"

I really thought I had answered that question and I didn't see another question in your last post.

This entire morning I have been struggling to install Debian 6.4 on your and Dieter's request. I had to install 28 debian packages, one by one, and I finally got it working.

My question
   "Is there someone who could give me a hint?"
was unanswered. 

And that's okay. I realize that I'm communicating with volunteers, but I'm also offering my time, trying to join you all to make LibreOffice a better product.

I also created 12 screen copies, partly in response to questions from you. I also added a photoshopped image, which took me a few hours to make.

I apologize if I did not respond to any of your questions more promptly. Trying to install 6.4 took me a lot of time and making the photoshopped image also took time.

Here are questions/requests from you that I found. I addressed all of them:
- Could you give a try at last stable LO version 6.3.5 (or brand new 6.4.2)?
- could you attach the example file so we can more quickly try to reproduce this? 
- On which Linux distrib are you?
- I still don't know what's "Software Catalog" 
- Finally, could you attach a doc so we can try to reproduce this more quickly?
- Native packages on Debian are .deb, why to use .rpm?

Please let me know which of your questions I missed.

Nevertheless I do appreciate your time and effort.

PS: I suspect we're on different continents. What's morning for me, may be afternoon or evening for you.
Comment 31 Bart 2020-03-24 00:14:29 UTC
I wonder if English is not your mother tongue. To avoid any misunderstandings, here's my last post in French:

Je me demande si l’anglais n’est pas ta langue maternelle. Pour éviter tout malentendu, voici mon dernier post en Français:

Ton question était la suivante :
   Les paquets autochtones sur Debian sont .deb, pourquoi utiliser .rpm?

J’ai vraiment pensé que j’avais répondu à cette question et je n’ai pas vu une autre question dans ton dernier post.

Cette matinée entière, j’ai eu bien du mal à installer Debian 6.4 sur ton demande et celui de Dieter. J’ai dû installer 28 paquets debian, un par un, et j'ai finalement arrive aux faire fonctionner.

Ma question
   "Y at-il quelqu’un qui pourrait me donner un indice?"
était sans réponse. 

Et ça c’est bien. Je me rends compte que je communique avec des bénévoles, mais j’offre aussi mon temps, en essayant de vous rejoindre, tous pour faire un meilleur produit de LibreOffice.

J’ai aussi créé 12 copies d’écran, en partie en réponse aux questions de ton part. J’ai aussi ajouté une image photoshopped, qui m’a pris quelques heures à faire.

Je m’excuse si je n’ai répondu plus rapidement à aucune de tes questions. Essayer d’installer 6.4 m’a pris beaucoup de temps et faire l’image photoshopped a également pris du temps.

Voici les questions/demandes de ton part que j’ai trouvé. J'ai adressé tous:
- Pourriez-vous essayer au moins stable version LO 6.3.5 (ou le tout nouveau 6.4.2)?
- pourriez-vous joindre le fichier d’exemple afin que nous puissions plus rapidement essayer de reproduire cela? 
- Vous êtes sur quel distrib Linux?
- Encore je ne sais pas ce qui est "Catalogue Logiciel" 
- Enfin, pourriez-vous joindre un doc afin que nous puissions essayer de reproduire tout ça plus rapidement?
- Les paquets autochtones sur Debian sont .deb, pourquoi utiliser .rpm?

S’il vous plaît faites-moi savoir laquelle de tes questions j’ai oublié.

Néanmoins, j’apprécie ton temps et tes efforts.

PS: Je soupçonne que nous nous trouvons sur des continents différents. Ce qui est le matin pour moi, peut-être l’après-midi ou le soir pour toi.
Comment 32 Dieter 2020-03-24 10:26:29 UTC
Bart, since it is not the idea of bugzilla to provide individual help, I kindly ask you to use https://ask.libreoffice.org for such individual help. Thank you.
Comment 33 Dieter 2020-03-24 10:29:11 UTC
(In reply to Bart from comment #26)
> I think I'll start a separate topic. Please consider this post a FYI.
> 
> I have set the bug's status to 'RESOLVED/MOVED'.

Status "MOVED" means, that "Bugzilla is not the proper place to report the problem" (https://bugs.documentfoundation.org/page.cgi?id=fields.html#bug_status)

=> Back to NEEDINFO
Comment 34 Bart 2020-03-24 15:16:06 UTC
Dieter, since it is not the idea of Bugzilla to accuse others that they only answered 5% of their questions, while all (!) the questions of that individual have been answered, I think that such persons have no place here on Bugzilla either. Thank you.
Comment 35 Dieter 2020-03-24 15:34:08 UTC
Second topic is reported in bug 131511, so let's close this

*** This bug has been marked as a duplicate of bug 131511 ***